TLS certificates
v1.6.2
Get TLS organization
Retrieve a single DigiCert-backed TLS organization by its public organization id.
GET
/tls/organization/{organization_id}
TLSOrganizationsByID
Authentication
Parameters
Name
Type
Format
Required
Description
organization_id
string
-
Required
Public TLS organization ID
Request example
GET
curl --request GET \
--url 'https://api.regfish.com/tls/organization/hdl_7K9QW3M2ZT8HJ' \
--header 'x-api-key: YOUR_API_KEY'Responses
200
TLS organization details
Response example 200
{
"success": true,
"code": 0,
"response": {
"id": "hdl_7K9QW3M2ZT8HJ",
"organization": "example",
"status": "ready",
"usable_for_ordering": true,
"first_name": "example",
"last_name": "example",
"address": "example",
"postal_code": "example",
"city": "example",
"country_code": "example",
"phone": "example",
"email": "example"
}
}401
Unauthorized
Response example 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
TLS organization not found
Response example 404
{
"success": false,
"message": "TLS organization not found",
"error": "TLS organization not found"
}500
Unexpected error
Response example 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Community
Become part of the community
The regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every regfish customer.